Debian Bug report logs - #488248
option to porevent outputting when "0 files changes"

version graph

Package: diffstat; Maintainer for diffstat is Sandro Tosi <morph@debian.org>; Source for diffstat is src:diffstat.

Reported by: martin f krafft <madduck@debian.org>

Date: Fri, 27 Jun 2008 11:00:02 UTC

Severity: wishlist

Tags: patch

Found in version diffstat/1.45-2

Fixed in version diffstat/1.46-1

Done: Greg Norris <adric@debian.org>

Bug is archived. No further changes may be made.

Forwarded to dickey@invisible-island.net

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>:
Bug#488248; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
New Bug report received and forwarded. Copy sent to Greg Norris <adric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: option to porevent outputting when "0 files changes"
Date: Fri, 27 Jun 2008 12:56:49 +0200
[Message part 1 (text/plain, inline)]
Package: diffstat
Version: 1.45-2
Severity: wishlist
File: /usr/bin/diffstat

It would be nice if I could inhibit the message when running e.g.
diffstat /dev/null

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages diffstat depends on:
ii  libc6                         2.7-12     GNU C Library: Shared libraries

diffstat recommends no packages.

-- no debconf information


-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Greg Norris <adric@debian.org>:
Bug#488248; Package diffstat. Full text and rfc822 format available.

Acknowledgement sent to Greg Norris <haphazard@kc.rr.com>:
Extra info received and forwarded to list. Copy sent to Greg Norris <adric@debian.org>. Full text and rfc822 format available.

Message #10 received at 488248@bugs.debian.org (full text, mbox):

From: Greg Norris <haphazard@kc.rr.com>
To: martin f krafft <madduck@debian.org>
Cc: 488248@bugs.debian.org
Subject: Re: Bug#488248: option to prevent outputting when "0 files changes"
Date: Wed, 30 Jul 2008 21:39:46 -0500
[Message part 1 (text/plain, inline)]
tags 488248 + patch
quit

The attached patch implements this request via the "-q" option, and 
seems to work reliably here.  I'm going to forward the beastie upstream 
before applying it to the Debian package, however, since I'd rather not 
diverge unnecessarily if Thomas opts to implement it differently.
[diffstat-1.45-quiet.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Greg Norris <haphazard@kc.rr.com> to control@bugs.debian.org. (Thu, 31 Jul 2008 02:42:02 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to dickey@invisible-island.net. Request was from Greg Norris <haphazard@kc.rr.com> to control@bugs.debian.org. (Thu, 31 Jul 2008 03:39:02 GMT) Full text and rfc822 format available.

Reply sent to Greg Norris <adric@debian.org>:
You have taken responsibility. (Fri, 03 Oct 2008 01:30:03 GMT) Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. (Fri, 03 Oct 2008 01:30:03 GMT) Full text and rfc822 format available.

Message #19 received at 488248-close@bugs.debian.org (full text, mbox):

From: Greg Norris <adric@debian.org>
To: 488248-close@bugs.debian.org
Subject: Bug#488248: fixed in diffstat 1.46-1
Date: Fri, 03 Oct 2008 01:17:02 +0000
Source: diffstat
Source-Version: 1.46-1

We believe that the bug you reported is fixed in the latest version of
diffstat, which is due to be installed in the Debian FTP archive:

diffstat_1.46-1.diff.gz
  to pool/main/d/diffstat/diffstat_1.46-1.diff.gz
diffstat_1.46-1.dsc
  to pool/main/d/diffstat/diffstat_1.46-1.dsc
diffstat_1.46-1_i386.deb
  to pool/main/d/diffstat/diffstat_1.46-1_i386.deb
diffstat_1.46.orig.tar.gz
  to pool/main/d/diffstat/diffstat_1.46.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 488248@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Greg Norris <adric@debian.org> (supplier of updated diffstat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 02 Oct 2008 19:39:31 -0500
Source: diffstat
Binary: diffstat
Architecture: source i386
Version: 1.46-1
Distribution: unstable
Urgency: low
Maintainer: Greg Norris <adric@debian.org>
Changed-By: Greg Norris <adric@debian.org>
Description: 
 diffstat   - produces graph of changes introduced by a diff file
Closes: 488248
Changes: 
 diffstat (1.46-1) unstable; urgency=low
 .
   * New upstream release.
     - Added the "-q" option, which suppresses the "0 files changed" message
       for empty diffs. (closes: 488248)
     - Added the "-S", "-D" and "-m" options, which provide a way to show the
       amount of difference relative to the total size of the files.
Checksums-Sha1: 
 4af30c11f5266d0c8525449a4589809a00895eb7 943 diffstat_1.46-1.dsc
 7cc31a16596de4ebe372e8a753333dd3ec2b577a 106551 diffstat_1.46.orig.tar.gz
 8b5e1735f3e51bc899ba37f0616796bc68e2945f 3680 diffstat_1.46-1.diff.gz
 3628c60fcc0c339241f63c83a7aeb801c2e16a32 23078 diffstat_1.46-1_i386.deb
Checksums-Sha256: 
 fac84f815b5a9b663a6e05d87f207fda8c7f56391cabeebedbad5435862733b3 943 diffstat_1.46-1.dsc
 083cf3a5f49672e79c31f37dcd5c4e5e4ea354c8da7e6d12e12b0ea8fd5725ae 106551 diffstat_1.46.orig.tar.gz
 9d86fc088cba960e0954a64607937e3c062ff9b2009a53f7405bc470b142f28c 3680 diffstat_1.46-1.diff.gz
 2a0a28ab33026a7b4cd0d4fec6e8e239bff50b9e98fc17c799ddb94192d17ef8 23078 diffstat_1.46-1_i386.deb
Files: 
 931228daf4fdad0253aafc8296ea7fef 943 devel optional diffstat_1.46-1.dsc
 626acb8cdd9e5cdb3a502bc12b828067 106551 devel optional diffstat_1.46.orig.tar.gz
 ec04172ef1cd85bf564348a9ade316b6 3680 devel optional diffstat_1.46-1.diff.gz
 b73b838711f7ab116a975fc5cefee568 23078 devel optional diffstat_1.46-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjlcLkACgkQgrEMyr8Cx2YMIACfR/1x6o8p8qjT0veMYaivPxBV
EhAAoLb2cyHbDd2gIwhhH5+lg1o/SJhf
=uYz3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 08:59:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:26:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.